﻿@using System.Web.UI.WebControls;

<table border="0" style="height:100%; width:100%;">
    <tr>
        <td valign="top">
            <b>@Html.Label("Pick Up :")</b>
            <p></p>
            @{
                Html.RenderAction("PartialSupplier", "DCLInquiry", new { DeliveryNo = ViewData["DeliveryNo"] }); 
            }
        </td>
        <td width="308" style="padding-left:10px;">
        
            <b>@Html.Label("Receiving : ")</b>
            <p></p>
            @Html.DevExpress().GridView(    
                setting =>
                {            
                    setting.Name = "gridPickUpHeaderRegular";
                    setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                    setting.Width = Unit.Percentage(100);
                    setting.CallbackRouteValues = new { Controller = "DCLInquiry", Action = "PartialPickUpHeaderAdditional" };
                    setting.KeyFieldName = "Manifest_Number";
                    //setting.Settings.ShowHorizontalScrollBar = true;
                    setting.Settings.ShowVerticalScrollBar = true;
                    setting.Settings.VerticalScrollableHeight = 72;
                    setting.SettingsPager.Visible = false;
                    setting.SettingsBehavior.AllowSort = false;
                    setting.SettingsBehavior.AllowDragDrop = false;
                    
                    setting.Columns.Add("ReceiveingDock", "Rcv Dock");
                    setting.Columns["ReceiveingDock"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    setting.Columns["ReceiveingDock"].Width = Unit.Pixel(68);
                    
                    setting.Columns.AddBand(
                         settings =>
                         {
                             settings.Caption = "Arrival Time";
                             settings.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                             settings.Columns.Add(
                                     dsetting =>
                                     {
                                         dsetting.Caption = "Plan";
                                         dsetting.FieldName = dsetting != null ? "ArrivalPlan" : String.Empty;
                                         //dsetting.FieldName = "ArrivalPlan";
                                         dsetting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                                         dsetting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                         dsetting.Width = System.Web.UI.WebControls.Unit.Pixel(52);
                                         //dsetting.PropertiesEdit.DisplayFormatString = "HH:mm";
                                     }
                                 );
                             settings.Columns.Add(
                                     dsetting =>
                                     {
                                         dsetting.Caption = "Actual";
                                         dsetting.FieldName = dsetting != null ? "ArrivalActual" : String.Empty;
                                         //dsetting.FieldName = "ArrivalActual";
                                         dsetting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                                         dsetting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                         dsetting.Width = System.Web.UI.WebControls.Unit.Pixel(52);
                                         //dsetting.PropertiesEdit.DisplayFormatString = "HH:mm";
                                     }
                                 );
                             }
                         );
                    setting.Columns.Add("ArrivalStatus", "Achievement");
                    setting.Columns["ArrivalStatus"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    setting.Columns["ArrivalStatus"].Width = Unit.Pixel(120);
                    setting.HtmlDataCellPrepared = (SendMailErrorEventHandler, e) =>
                    {
                        if (e.DataColumn.FieldName == "ArrivalStatus")
                        {
                            if (e.Cell.ToString().Contains("Delay"))
                            {
                                e.Cell.BackColor = System.Drawing.Color.Red;
                                e.Cell.ForeColor = System.Drawing.Color.White;
                            }
                        }
                    };
                    
                }).Bind(ViewData["PickUp"]).GetHtml()
        </td>
    </tr>
</table>